Bug 1267418 - [RFE] Allow Repository Synchronization Emails to be configured at the Sync Plan Level
[RFE] Allow Repository Synchronization Emails to be configured at the Sync Pl...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Email (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 20:56 EDT by Rich Jerrido
Modified: 2018-05-17 02:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17763 None None None 2016-12-19 14:39 EST

  None (edit)
Description Rich Jerrido 2015-09-29 20:56:12 EDT
Description of problem:

As a user of Red Hat Satellite 6.1, I can configure my account to receive an email when a repository synchronization is completed. However, with a large number of repositories, I receive a large number of emails (1 per repo). 

What this RFE requests is a means to have a single email option that allows me to subscribe to notifications after a sync plan is completed. 

Thus, I would receive one email per sync plan that states:

Sync Plan Foo:

Product 1
  Repository X
    New Errata
      Security = 8, Enhancement = 4, Bugfix = 3
Product 2
  Repository 7
    New Errata
      Security = 4, Enhancement = 2, Bugfix = 1



Version-Release number of selected component (if applicable):
katello-2.2.0.16-1.el7sat.noarch





Additional info:
Comment 1 Craig Donnelly 2015-10-08 00:19:39 EDT
It wouldn't hurt to expand this idea out for some sort of configuration option on the email settings level to collect all sync's and send once a day in a particular email, or on a schedule configured by the user.
Comment 2 Jim Lyle 2015-10-13 10:45:38 EDT
+1 this would be incredibly helpful

-Jim
Comment 5 Stephen Benjamin 2016-12-19 14:39:08 EST
Created redmine issue http://projects.theforeman.org/issues/17763 from this bug

Note You need to log in before you can comment on or make changes to this bug.